<?php
// ColourNull.php
// Created: 2023-01-02
// Updated: 2023-01-02

namespace Index\Colour;

class ColourNull extends Colour {
    public function getRed(): int {
        return 0;
    }

    public function getGreen(): int {
        return 0;
    }

    public function getBlue(): int {
        return 0;
    }

    public function getAlpha(): float {
        return 1;
    }

    public function shouldInherit(): bool {
        return true;
    }

    public function __toString(): string {
        return 'inherit';
    }
}
